Name:           perl-YAML-Parser-Syck
Version:        0.01
Release:        21%{?dist}
Summary:        Perl Wrapper for the YAML Parser Extension: libsyck
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/YAML-Parser-Syck/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/YAML-Parser-Syck-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  syck-devel
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
libsyck is a *gift* from a gifted Stiff named 'Why'.

YAML::Parser::Syck is an XS module that binds libsyck to Perl.

%prep
%setup -q -n YAML-Parser-Syck-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/YAML*
%{_mandir}/man3/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 01 2011 Oliver Falk <oliver@linux-kernel.at> - 0.01-20
- Rebuild for new libsyck

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.01-19
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Oliver Falk <oliver@linux-kernel.at> - 0.01-17
- Rebuild for perl-5.12.3

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.01-16
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.01-15
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.01-14
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.01-11
Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.01-10
- Autorebuild for GCC 4.3

* Mon Jan 07 2008 Ralf Corsépius <rc040203@freenet.de> 0.01-9
- Update License-tag.
- BR: perl(Test::More) (BZ 419631).

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.01-8
- BR ExtUtils::MakeMaker.

* Mon Nov 20 2006 Steven Pritchard <steve@kspei.com> 0.01-7
- Cleanup to more closely resemble cpanspec output.
- Fix find option order.
- Use fixperms macro.
- Fix directory ownership.  (#216484)

* Tue Sep 26 2006 Steven Pritchard <steve@kspei.com> 0.01-6
- Rebuild.

* Thu Mar 09 2006 Oliver Falk <oliver@linux-kernel.at>			- 0.01-5
- Add dist-tag
- Rebuild

* Wed Sep  7 2005 Paul Howarth <paul@city-fan.org>              - 0.01-4
- Remove pkgname macro for clarity
- Remove redundant BR: perl
- More specific URL
- License is same as perl (GPL+ or Artistic), not just Artistic
- Add BR: syck-devel
- Tidy summary
- Remove redundant "|| :" from %%check
- Use perl_vendorarch, not perl_vendorlib for arch-specific package
- Unconditionally remove buildroot in %%clean
- Simplify compiler optimization flags setup
- Include license text
- Include Changes
- Use macros consistently

* Thu May 19 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.01-3
- Absolute new specfile (fedora template)

* Sun Apr 03 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.01-2.1
- Rebuild against syck 0.53

* Wed Mar 16 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.01-2
- BuildRequire syck
- Speclean (a bit) changelog
 
* Thu Jan 20 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.01-1
- Initial build.
